Subject: Possible to get LIMIT in an index access method?

From: Chris Cleveland <[email-masked]>
Date: Mon, 29 Apr 2024 11:17:15 -0500

I'm developing an index access method.

SELECT *
FROM foo
WHERE col <=> constant
ORDER BY col <==> constant
LIMIT 10;

I'm successfully getting the WHERE and the ORDER BY clauses in my
beginscan() method. Is there any way to get the LIMIT (or OFFSET, for that
matter)?

My access method is designed such that you have to fetch the entire result
set in one go. It's not streaming, like most access methods. As such, it
would be very helpful to know up front how many items I need to fetch from
the index.

-- 
Chris Cleveland
312-339-2677 mobile